Qt on QNX Device
-
Hi,
I am trying to run my "Qt application binary" on "QNX Device" but while running binary, it is throwing an error like "Can't access shared library".
also, while trying to run Qt application from QNX Momentics IDE, facing error like "an internal error occurred during: Launching Qtapp.
java.lang.NullPointerException".Qt version using : Qt 5.15.2 (open source)
QNX Version: QNX 7.1Note :To deploy Qt on to QNX Board, I have followed this link : https://wiki.qt.io/QNX-App-development-and-deployment and mounted Qt over NFS.
Can anyone suggest me, weather I'm using correct qt version (or) any mistakes in my procedure.
Thanks in advance.
-
Hi and welcome to devnet,
Did you do your mount so that the files on the target can be found in the same place as your desktop machine ?
Do you have the equivalent of ldd to check whether the loader can find the librairies required by your application ?
-
Thanks for the reply @SGaist ,
Yes, files on the target found in the same place as desktop.
and I have set the library path also. But whenever I try to execute my binary, throwing an error "can't access shared library".
also, I have doub't that, Does this Qt 5.15.2 (which is for linux machine) supports QNX? Do I need to purchase a saperate one for QNX?
On QT website, written like Qt5 will support QNX but I'm not able to create a QNX Device Kit in Qt-creator. The warning message is "Device type is not supported".
-
@Naga said in Qt on QNX Device:
Do I need to purchase a saperate one for QNX?
No.
What library can't be accessed? -
@jsulm ,
While running simple hello world Qt application binary on target board, It is giving the error as "can't access shared library", but it is not specifying any libraries.
and while trying to deploy Qt(5.15.2) from Qt-creator(5.0.0) onto target board(QNX SDP7.1) , it is giving "No deployment action necessary. Skipping."
While trying to add QNX device kit: showing warning message.(device type is not supported by qt version)
So, I have mounted Qt over NFS, but showing the above said "can't acess shared library" error.
-
yes, I have built for QNX.
This is the procedure I have followed:
- I have installed Qt 5.15.2 using this "qt-unified-linux-x64-online.run" file.
- Followed this link https://doc.qt.io/qt-5/qnx.html for building Qt for QNX.
after "source qnxsdpenv.sh" the configure file used for build is :
...........................................................................
srcpath=dirname $0
srcpath=(cd "$srcpath"; pwd)
configure=$srcpath/qtbase/configure
if [ ! -e "$configure" ]; then
echo "$configure not found. Did you forget to run "init-repository"?" >&2
exit 1
fimkdir -p qtbase || exit
echo "+ cd qtbase"
cd qtbase || exitecho "+ $configure -top-level $@"
exec "$configure" -top-level "$@"
.......................................................................